> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Make a mock payment

> Sends a mock payment request (only in staging environment)



## OpenAPI

````yaml post /v1/mock/payment
openapi: 3.0.2
info:
  title: Ventogram merchant API
  version: 1.0.0
  description: Ventogram merchant API
servers:
  - url: https://staging-vouchers.ventogram.com/api
    description: Production
security: []
tags: []
paths:
  /v1/mock/payment:
    post:
      tags:
        - Mock Payment
      summary: Make a mock payment
      description: Sends a mock payment request (only in staging environment)
      operationId: mock-payment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                voucherId:
                  type: string
                  description: ID of the voucher to be paid
                amount:
                  type: integer
                  format: int32
                  description: >-
                    Amount to pay. This can be used to simulate overpayment and
                    underpayment in staging environment. If this field is not
                    provided, the expected amount will be paid.
              required:
                - voucherId
      responses:
        '201':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  message:
                    type: string
        '400':
          description: Failed operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string

````